#ifndef CORE_PLANE_H
#define CORE_PLANE_H

#include "core/Vector.h"

typedef struct {
    CoreVector3 abc;
    float d;
} CorePlane;

#define CORE_PLANE ((CorePlane){0})
CorePlane* coreInitPlane(CorePlane* p, const CoreVector3* a,
                         const CoreVector3* b, const CoreVector3* c);
float coreSignedDistance(const CorePlane* p, const CoreVector3* v);
size_t coreToStringPlane(const CorePlane* p, char* buffer, size_t n);

#endif
